unit MainFrm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, StdCtrls, ComCtrls, ExtCtrls, ShellAPI, TLMController, 
  TLMIniFilter;

type
  TMainForm = class(TForm)
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    New1: TMenuItem;
    Open1: TMenuItem;
    Save1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    Edit1: TMenuItem;
    Cut1: TMenuItem;
    Copy1: TMenuItem;     
    Paste1: TMenuItem;
    Language1: TMenuItem;
    Help1: TMenuItem;
    Contents1: TMenuItem;
    N2: TMenuItem;
    About1: TMenuItem;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    lbl1_1: TLabel;
    btn1_1: TButton;
    chk1_1: TCheckBox;
    rtn1_1: TRadioButton;
    TabSheet2: TTabSheet;
    cbo2_1: TComboBox;
    lvw2_1: TListView;
    lblMsg1: TLabel;
    lblMsg2: TLabel;
    TabSheet3: TTabSheet;
    btn3_1: TButton;
    btn3_2: TButton;
    lblMsg3: TLabel;
    TabSheet4: TTabSheet;
    btn4_1: TButton;
    lbl4_1: TLabel;
    lblMsg4: TLabel;
    btn1_2: TButton;
    TabSheet5: TTabSheet;
    lbl5_1: TLabel;
    lst5_1: TListBox;
    lbl5_2: TLabel;
    meo5_1: TMemo;
    lblMsg5: TLabel;
    lbl4_2: TLabel;
    TabSheet6: TTabSheet;
    btn6_1: TButton;
    TabSheet7: TTabSheet;
    img7_1: TImage;
    lblMsg6: TLabel;
    btnClose: TButton;
    lbl3_1: TLabel;
    lblLink1: TLabel;
    lblLink2: TLabel;
    img7_2: TImage;
    btn7_1: TButton;
    tlmIniFilter1: TtlmIniFilter;
    tlmController1: TtlmController;
    procedure FormCreate(Sender: TObject);
    procedure btn3_1Click(Sender: TObject);
    procedure btn3_2Click(Sender: TObject);
    procedure tlmController1LanguageChanged(ASender: TObject);
    procedure btn4_1Click(Sender: TObject);
    procedure btn6_1Click(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure About1Click(Sender: TObject);
    procedure lblLink1Click(Sender: TObject);
    procedure lblLink2Click(Sender: TObject);
    procedure btn7_1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure ThreadCallback(AText:String);
  end;

var
  MainForm: TMainForm;

implementation

uses SubFrm, LangFrm, MyTrd;

{$R *.dfm}

procedure TMainForm.FormCreate(Sender: TObject);
begin
  //create the language menu
  tlmIniFilter1.GenerateLanguageMenu(Language1);
  //some initialize
  tlmIniFilter1.GetLoadedLanguages(lst5_1.Items);
  tlmIniFilter1.GetLoadedLanguageFiles(meo5_1.Lines);
end;

procedure TMainForm.btn3_1Click(Sender: TObject);
begin
  SubForm.Show;
end;

procedure TMainForm.btn3_2Click(Sender: TObject);
var
  Form:TSubForm;
begin
  Form:=TSubForm.Create(self);
  Form.Show; 
end;

procedure TMainForm.tlmController1LanguageChanged(ASender: TObject);
var
  I:Integer;
begin
  for I:=0 to cbo2_1.Items.Count-1 do begin
    cbo2_1.Items[I]:=tlmController1.Translate('ComboBox1.Item'+IntToStr(I),cbo2_1.Items[I]);
  end;
  for I:=0 to lvw2_1.Columns.Count-1 do begin
    lvw2_1.Columns[I].Caption:=tlmController1.Translate('ListView1.Column'+IntToStr(I),lvw2_1.Columns[I].Caption);
  end;
  //change these label's charset manually, cause there's ParentFont property are false.
  lblMsg1.Font.Charset:=Font.Charset;
  lblMsg1.Font.Size:=Font.Size;
  lblMsg2.Font.Charset:=Font.Charset;
  lblMsg2.Font.Size:=Font.Size;
  lblMsg3.Font.Charset:=Font.Charset;
  lblMsg3.Font.Size:=Font.Size;
  lblMsg4.Font.Charset:=Font.Charset;
  lblMsg4.Font.Size:=Font.Size;
  lblMsg5.Font.Charset:=Font.Charset;
  lblMsg5.Font.Size:=Font.Size;
  lblMsg6.Font.Charset:=Font.Charset;
  lblMsg6.Font.Size:=Font.Size;
end;

procedure TMainForm.ThreadCallback(AText:String);
begin
  lbl4_2.Caption:=AText;
end;

procedure TMainForm.btn4_1Click(Sender: TObject);
begin
  //this thread have a member variable of TtlmObject, see ThreadMy.pas for details.
  TMyThread.Create(false);
end;

procedure TMainForm.btn6_1Click(Sender: TObject);
var
  Form:TLangForm;
begin
  Form:=TLangForm.Create(nil);
  try
    Form.ShowModal;
  finally
    Form.Free;
  end;
end;

procedure TMainForm.btnCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TMainForm.Exit1Click(Sender: TObject);
begin
  Close;
end;

procedure TMainForm.About1Click(Sender: TObject);
begin
  PageControl1.ActivePageIndex:=6;
end;

procedure TMainForm.lblLink1Click(Sender: TObject);
begin
  shellexecute(handle,'open',pchar('mailto:tonyki@citiz.net?subject=Tony''s Language Master-Feedback'),nil,nil,sw_show);
end;

procedure TMainForm.lblLink2Click(Sender: TObject);
begin
  shellexecute(handle,'open',pchar('http://www.tonixsoft.com'),nil,nil,sw_show);
end;

procedure TMainForm.btn7_1Click(Sender: TObject);
begin
  shellexecute(handle,'open',pchar('http://www.shareit.com/product.html?productid=189455&sessionid=69118440&random=bb8ae6d720669c06f989270b129f46b1'),nil,nil,sw_show);
end;

end.
